List deployments
curl --request GET \
--url https://dojo.frogbot.ai/api/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "https://dojo.frogbot.ai/api/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dojo.frogbot.ai/api/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/deployments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/deployments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dojo.frogbot.ai/api/deployments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/deployments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"docs": [
{
"id": "<string>",
"app": "<string>",
"status": "queued",
"startedBy": "<string>",
"source": "<string>",
"upload": "<string>",
"data": true,
"replaceData": true,
"queuedAt": "2023-11-07T05:31:56Z",
"buildStartedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"imageRef": "<string>",
"healthRoute": true,
"adapter": "<string>",
"syncSchema": true,
"error": "<string>",
"logTail": "<unknown>",
"builder": "<unknown>",
"runtimeStatus": "starting",
"snapshot": "<string>",
"restorePoint": "<unknown>",
"liveAt": "2023-11-07T05:31:56Z",
"rollbackOf": "<string>",
"runtimeError": "<string>",
"trigger": "share",
"provider": "<string>",
"instanceURL": "<string>",
"repoID": "<string>",
"commit": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"runtimeLogTail": "<unknown>"
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}Deployments
List deployments
GET
/
api
/
deployments
List deployments
curl --request GET \
--url https://dojo.frogbot.ai/api/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "https://dojo.frogbot.ai/api/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dojo.frogbot.ai/api/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/deployments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/deployments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dojo.frogbot.ai/api/deployments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/deployments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"docs": [
{
"id": "<string>",
"app": "<string>",
"status": "queued",
"startedBy": "<string>",
"source": "<string>",
"upload": "<string>",
"data": true,
"replaceData": true,
"queuedAt": "2023-11-07T05:31:56Z",
"buildStartedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"imageRef": "<string>",
"healthRoute": true,
"adapter": "<string>",
"syncSchema": true,
"error": "<string>",
"logTail": "<unknown>",
"builder": "<unknown>",
"runtimeStatus": "starting",
"snapshot": "<string>",
"restorePoint": "<unknown>",
"liveAt": "2023-11-07T05:31:56Z",
"rollbackOf": "<string>",
"runtimeError": "<string>",
"trigger": "share",
"provider": "<string>",
"instanceURL": "<string>",
"repoID": "<string>",
"commit": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"runtimeLogTail": "<unknown>"
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}